//! Copyright (C) 2022, Dmitriy Pleshevskiy <dmitriy@ideascup.me>
//!
//! vnetod is free software: you can redistribute it and/or modify
//! it under the terms of the GNU General Public License as published by
//! the Free Software Foundation, either version 3 of the License, or
//! (at your option) any later version.
//!
//! vnetod is distributed in the hope that it will be useful,
//! but WITHOUT ANY WARRANTY; without even the implied warranty of
//! MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//! GNU General Public License for more details.
//!
//! You should have received a copy of the GNU General Public License
//! along with vnetod.  If not, see <https://www.gnu.org/licenses/>.
//!

pub mod switch;

use std::path::PathBuf;

use clap::Parser;

#[derive(Parser)]
#[clap(
    author,
    version,
    about = "\
Dotenv state switcher
---------------------------------------------------------------------
vnetod  Copyright (C) 2022  Dmitriy Pleshevskiy <dmitriy@ideascup.me>
This program comes with ABSOLUTELY NO WARRANTY;
This is free software, and you are welcome to redistribute it
under certain conditions;
---------------------------------------------------------------------
"
)]
pub struct Args {
    #[clap(short = 'f', long, default_value = ".env")]
    pub file: PathBuf,

    #[clap(short = 'o', long)]
    pub output: Option<PathBuf>,

    #[clap(value_parser)]
    pub sections: Vec<String>,
}
